package com.example.jairo.wristcare.presentador;

import android.content.Context;

import com.example.jairo.wristcare.vista.AddProgramsView;
import com.example.jairo.wristcare.modelo.ProgramsDbHelper;

/**
 * Created by Jaito on 06/06/2017.
 */
public class AddProgramsPresenter {

    private AddProgramsView mAddProgramsView;
    private ProgramsDbHelper mProgramsDbHelper;

    public AddProgramsPresenter(Context context, AddProgramsView view){
        mProgramsDbHelper = new ProgramsDbHelper(context);
        mAddProgramsView = view;
    }

    public void getProgramByName(String name){

        mAddProgramsView.checkName(mProgramsDbHelper.getProgramByName(name));
    }

}
