package com.example.jairo.wristcare.presentador;

import android.content.Context;

import com.example.jairo.wristcare.modelo.ProgramsDbHelper;
import com.example.jairo.wristcare.vista.ProgramsView;

/**
 * Created by Jairo on 01/06/2017.
 */

public class ProgramsFragmentPresenter {

    private ProgramsDbHelper mProgramsDbHelper;
    private ProgramsView mProgramsView;

    public ProgramsFragmentPresenter(Context context, ProgramsView view){

        mProgramsDbHelper = new ProgramsDbHelper(context);
        mProgramsView = view;

    }

    public void getAllPrograms(){

        mProgramsView.setDataList(mProgramsDbHelper.getAllPrograms());

    }

}
