package com.example.jairo.wristcare.vista;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;

import com.example.jairo.wristcare.R;

public class AddProgramActivity extends AppCompatActivity {
    public static final int REQUEST_ADD_PROGRAM = 1;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_add_program);
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        setSupportActionBar(toolbar);
        getSupportActionBar().setDisplayHomeAsUpEnabled(true);

        String programName = getIntent().getStringExtra(ProgramsActivity.EXTRA_PROGRAM_NAME);

        setTitle("Añadir programa");

        AddProgramFragment addProgramFragment = (AddProgramFragment)
                getSupportFragmentManager().findFragmentById(R.id.add_edit_program_container);
        if (addProgramFragment == null) {
            addProgramFragment = AddProgramFragment.newInstance(programName);
            getSupportFragmentManager()
                    .beginTransaction()
                    .add(R.id.add_edit_program_container, addProgramFragment)
                    .commit();
        }
    }

    @Override
    public boolean onSupportNavigateUp() {
        onBackPressed();
        return true;
    }

}
