package com.example.jairo.wristcare.modelo;

/**
 * Created by Jaito on 08/04/2017.
 */

import android.provider.BaseColumns;

/**
 * Esquema de la base de datos para programas
 */
public class ProgramsContract {

    public static abstract class ProgramEntry implements BaseColumns {
        public static final String TABLE_NAME ="program";

        public static final String NAME = "name";
        public static final String FCREATION = "fcreation";
        public static final String FCLOSE = "fclose";
        public static final String OPEN = "open";
        public static final String INITFLEX = "initflex";
        public static final String INITEXT = "initext";
        public static final String INITABD = "initabd";
        public static final String INITADU = "initadu";
        public static final String INITSUP = "initsup";
        public static final String INITPRO = "initpro";
    }

    public static abstract class SessionEntry implements BaseColumns {
        public static final String TABLE_NAME ="session";

        public static final String FECHA = "fecha";
        public static final String ANFLEX = "anflex";
        public static final String ANEXT = "anext";
        public static final String ANABD = "anabd";
        public static final String ANADU = "anadu";
        public static final String ANSUP = "ansup";
        public static final String ANPRO = "anpro";
        public static final String ID_PROGRAM = "idprogram";
    }
}
