package com.example.jairo.wristcare.util;

import android.content.Context;
import android.database.Cursor;
import android.support.v4.widget.CursorAdapter;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import com.example.jairo.wristcare.R;
import com.example.jairo.wristcare.modelo.ProgramsContract.ProgramEntry;


public class ProgramsCursorAdapter extends CursorAdapter {
    public ProgramsCursorAdapter(Context context, Cursor c) {

        super(context, c, 0);
    }

    @Override
    public View newView(Context context, Cursor cursor, ViewGroup viewGroup) {
        LayoutInflater inflater = LayoutInflater.from(context);
        return inflater.inflate(R.layout.list_item_program, viewGroup, false);
    }

    @Override
    public void bindView(View view, final Context context, Cursor cursor) {

        // Referencias UI.
        TextView nameText = (TextView) view.findViewById(R.id.tv_name);

        // Get valores.
        String name = cursor.getString(cursor.getColumnIndex(ProgramEntry.NAME));

        // Setup.
        nameText.setText(name);
    }
}
