package com.example.jairo.wristcare.vista;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;

import com.example.jairo.wristcare.R;

public class ProgramsActivity extends AppCompatActivity {

    public static final String EXTRA_PROGRAM_NAME = "extra_program_name";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_programs);
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        setSupportActionBar(toolbar);

        ProgramsFragment fragment = (ProgramsFragment)
                getSupportFragmentManager().findFragmentById(R.id.programs_container);

        if(fragment == null){
            fragment = ProgramsFragment.newInstance();
            getSupportFragmentManager()
                    .beginTransaction()
                    .add(R.id.programs_container, fragment)
                    .commit();
        }
    }
}
